<?php

class ipay88_atm_transferIpay88ModuleFrontController extends ModuleFrontController
{
	public $ssl = true;

    /**
     * @see FrontController::initContent()
     */

    public function initContent()
    {
		$cart = $this->context->cart;
		
		if ($cart->id_customer == 0 || $cart->id_address_delivery == 0 || $cart->id_address_invoice == 0 || !$this->module->active)
		Tools::redirect('index.php?controller=order&step=1');
		
		$this->display_column_left = false;
		
       	parent::initContent();
	
		$cart = $this->context->cart;
        
		if (!$this->module->checkCurrency($cart)) 
		{
            Tools::redirect('index.php?controller=order');
        }
	
		$merchant_domain = Tools::getShopDomainSsl(true).__PS_BASE_URI__;

		$view_ipay88_atm_transfer_method_title	  	= Configuration::get('ipay88_atm_transfer_method_title');		
        $view_ipay88_atm_transfer_description     	= Configuration::get('ipay88_atm_transfer_description');
				
		$view_ipay88_atm_transfer_payment_types   	= Configuration::get('ipay88_atm_transfer_payment_types');		
		$view_ipay88_atm_transfer_payment_types_9 	= Configuration::get('ipay88_atm_transfer_payment_types_9');
		$view_ipay88_atm_transfer_payment_types_17 	= Configuration::get('ipay88_atm_transfer_payment_types_17');
		$view_ipay88_atm_transfer_payment_types_25 	= Configuration::get('ipay88_atm_transfer_payment_types_25');
		$view_ipay88_atm_transfer_payment_types_26 	= Configuration::get('ipay88_atm_transfer_payment_types_26');
		$view_ipay88_atm_transfer_payment_types_31 	= Configuration::get('ipay88_atm_transfer_payment_types_31');
		$view_ipay88_atm_transfer_payment_types_40 	= Configuration::get('ipay88_atm_transfer_payment_types_40');
		
			
        $this->context->smarty->assign(array(
        	
			'nbProducts' 		=> $cart->nbProducts(),
            'cust_currency' 	=> $cart->id_currency,
            'currencies' 		=> $this->module->getCurrency((int)$cart->id_currency),
            'total' 			=> $cart->getOrderTotal(true, Cart::BOTH),
            'isoCode' 			=> $this->context->language->iso_code,
            'checkName' 		=> $this->module->checkName,
            'checkAddress' 		=> Tools::nl2br($this->module->address),
            
			'this_path' 		=> $this->module->getPathUri(),
            'this_path_check' 	=> $this->module->getPathUri(),
            'this_path_ssl' 	=> Tools::getShopDomainSsl(true, true).__PS_BASE_URI__.'modules/'.$this->module->name.'/',
					
			
			'ipay88_atm_transfer_method_title' 		=> $view_ipay88_atm_transfer_method_title,
			'ipay88_atm_transfer_description' 		=> $view_ipay88_atm_transfer_description,
			
			'ipay88_atm_transfer_payment_types_9'	=> $view_ipay88_atm_transfer_payment_types_9,
			'ipay88_atm_transfer_payment_types_17'	=> $view_ipay88_atm_transfer_payment_types_17,
			'ipay88_atm_transfer_payment_types_25'	=> $view_ipay88_atm_transfer_payment_types_25,
			'ipay88_atm_transfer_payment_types_26'	=> $view_ipay88_atm_transfer_payment_types_26,
			'ipay88_atm_transfer_payment_types_31'	=> $view_ipay88_atm_transfer_payment_types_31,
			'ipay88_atm_transfer_payment_types_40'	=> $view_ipay88_atm_transfer_payment_types_40, 	
			
			'logo_atm_transfer'  	=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/atm-transfer-menu.png',
												
			'logo_maybank_va'		=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/maybank-va.png',
			
			'logo_mandiri_atm'		=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/mandiri-atm.png',
			
			'logo_bca_va'			=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/bca-va.png',
			
			'logo_bni_va'			=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/bni-va.png',
			
			'logo_permata_atm'		=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/permata-atm.png',
			
			'logo_permata_va'		=> 
			$merchant_domain.'modules/ipay88_atm_transfer/assets/images/permata-va.png',
        ));   	

        $this->setTemplate('module:ipay88_atm_transfer/views/templates/front/payment_execution.tpl');
   
    }
}

 
